# Uses of Class
org.springframework.jmx.export.metadata.ManagedMetric

Packages that use ManagedMetric
Package
Description
org.springframework.jmx.export.annotation
Annotations for MBean exposure.
org.springframework.jmx.export.metadata
Provides generic JMX metadata classes and basic support for reading JMX metadata in a provider-agnostic manner.

## Uses of ManagedMetric in org.springframework.jmx.export.annotation

Methods in org.springframework.jmx.export.annotation that return ManagedMetric
Modifier and Type
Method
Description
`ManagedMetric`
AnnotationJmxAttributeSource.`getManagedMetric(Method method)`

## Uses of ManagedMetric in org.springframework.jmx.export.metadata

Methods in org.springframework.jmx.export.metadata that return ManagedMetric
Modifier and Type
Method
Description
`ManagedMetric`
JmxAttributeSource.`getManagedMetric(Method method)`
Implementations should return an instance of `ManagedMetric` if the supplied `Method` has the corresponding metadata.